BinaryNumberValue (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble.value

## Class BinaryNumberValue

- java.lang.Object
- - net.percederberg.mibble.MibValue
  - - net.percederberg.mibble.value.NumberValue
    - - net.percederberg.mibble.value.BinaryNumberValue

- All Implemented Interfaces:
    java.lang.Comparable<java.lang.Object>

      public class BinaryNumberValue
      extends NumberValue

  A binary numeric MIB value.
  Since:
    2.6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryNumberValue(java.lang.Number value)` Creates a new binary number value.
    `BinaryNumberValue(java.lang.Number value, int minLength)` Creates a new binary number value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MibValue` | `initialize(MibLoaderLog log, MibType type)` Initializes the MIB value.
    `java.lang.String` | `toString()` Returns a string representation of this value.

    - ### Methods inherited from class net.percederberg.mibble.value.NumberValue

      `compareTo, createReference, equals, getByteSize, hashCode, toObject`

    - ### Methods inherited from class net.percederberg.mibble.MibValue

      `clear, getName, getReferenceSymbol, isReferenceTo, isReferenceTo, setReferenceSymbol`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryNumberValue

          public BinaryNumberValue(java.lang.Number value)

      Creates a new binary number value. A default minimum print length of one (1) will be used.
      Parameters:
        `value` - the number value

    - #### BinaryNumberValue

          public BinaryNumberValue(java.lang.Number value,
                           int minLength)

      Creates a new binary number value.
      Parameters:
        `value` - the number value
        `minLength` - the minimum print length
      Since:
        2.9

  - ### Method Detail

    - #### initialize

          public MibValue initialize(MibLoaderLog log,
                            MibType type)

      Initializes the MIB value. This will remove all levels of indirection present, such as references to other values. No value information is lost by this operation. This method may modify this object as a side-effect, and will return the basic value.

      NOTE: This is an internal method that should only be called by the MIB loader.

      Overrides:
        `initialize` in class `NumberValue`
      Parameters:
        `log` - the MIB loader log
        `type` - the value type
      Returns:
        the basic MIB value

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this value.
      Overrides:
        `toString` in class `NumberValue`
      Returns:
        a string representation of this value